Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network100.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
100.64.0.0
Broadcast address
100.127.255.255
First usable
100.64.0.1
Last usable
100.127.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Shared address space (CGNAT) 100.64.0.0/10
Used by providers behind carrier-grade NAT (RFC 6598)
Old class
A (default /8)
As numbers
Hex 64400000 · Integer 1681915904 to 1686110207
Reverse DNS zones
64.100.in-addr.arpa
65.100.in-addr.arpa
66.100.in-addr.arpa
67.100.in-addr.arpa
68.100.in-addr.arpa
69.100.in-addr.arpa
70.100.in-addr.arpa
71.100.in-addr.arpa
72.100.in-addr.arpa
73.100.in-addr.arpa
74.100.in-addr.arpa
75.100.in-addr.arpa
76.100.in-addr.arpa
77.100.in-addr.arpa
78.100.in-addr.arpa
79.100.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100100.01000000.00000000.00000000100.64.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network01100100.01000000.00000000.00000000100.64.0.0
Broadcast01100100.01111111.11111111.11111111100.127.255.255
Split into smaller subnets/21

100.64.0.0/10 makes 2,048 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1100.64.0.0/21100.64.0.1 to 100.64.7.254100.64.7.2552,046
2100.64.8.0/21100.64.8.1 to 100.64.15.254100.64.15.2552,046
3100.64.16.0/21100.64.16.1 to 100.64.23.254100.64.23.2552,046
4100.64.24.0/21100.64.24.1 to 100.64.31.254100.64.31.2552,046
5100.64.32.0/21100.64.32.1 to 100.64.39.254100.64.39.2552,046
6100.64.40.0/21100.64.40.1 to 100.64.47.254100.64.47.2552,046
7100.64.48.0/21100.64.48.1 to 100.64.55.254100.64.55.2552,046
8100.64.56.0/21100.64.56.1 to 100.64.63.254100.64.63.2552,046
9100.64.64.0/21100.64.64.1 to 100.64.71.254100.64.71.2552,046
10100.64.72.0/21100.64.72.1 to 100.64.79.254100.64.79.2552,046
11100.64.80.0/21100.64.80.1 to 100.64.87.254100.64.87.2552,046
12100.64.88.0/21100.64.88.1 to 100.64.95.254100.64.95.2552,046
13100.64.96.0/21100.64.96.1 to 100.64.103.254100.64.103.2552,046
14100.64.104.0/21100.64.104.1 to 100.64.111.254100.64.111.2552,046
15100.64.112.0/21100.64.112.1 to 100.64.119.254100.64.119.2552,046
16100.64.120.0/21100.64.120.1 to 100.64.127.254100.64.127.2552,046
17100.64.128.0/21100.64.128.1 to 100.64.135.254100.64.135.2552,046
18100.64.136.0/21100.64.136.1 to 100.64.143.254100.64.143.2552,046
19100.64.144.0/21100.64.144.1 to 100.64.151.254100.64.151.2552,046
20100.64.152.0/21100.64.152.1 to 100.64.159.254100.64.159.2552,046
21100.64.160.0/21100.64.160.1 to 100.64.167.254100.64.167.2552,046
22100.64.168.0/21100.64.168.1 to 100.64.175.254100.64.175.2552,046
23100.64.176.0/21100.64.176.1 to 100.64.183.254100.64.183.2552,046
24100.64.184.0/21100.64.184.1 to 100.64.191.254100.64.191.2552,046
25100.64.192.0/21100.64.192.1 to 100.64.199.254100.64.199.2552,046
26100.64.200.0/21100.64.200.1 to 100.64.207.254100.64.207.2552,046
27100.64.208.0/21100.64.208.1 to 100.64.215.254100.64.215.2552,046
28100.64.216.0/21100.64.216.1 to 100.64.223.254100.64.223.2552,046
29100.64.224.0/21100.64.224.1 to 100.64.231.254100.64.231.2552,046
30100.64.232.0/21100.64.232.1 to 100.64.239.254100.64.239.2552,046
31100.64.240.0/21100.64.240.1 to 100.64.247.254100.64.247.2552,046
32100.64.248.0/21100.64.248.1 to 100.64.255.254100.64.255.2552,046
33100.65.0.0/21100.65.0.1 to 100.65.7.254100.65.7.2552,046
34100.65.8.0/21100.65.8.1 to 100.65.15.254100.65.15.2552,046
35100.65.16.0/21100.65.16.1 to 100.65.23.254100.65.23.2552,046
36100.65.24.0/21100.65.24.1 to 100.65.31.254100.65.31.2552,046
37100.65.32.0/21100.65.32.1 to 100.65.39.254100.65.39.2552,046
38100.65.40.0/21100.65.40.1 to 100.65.47.254100.65.47.2552,046
39100.65.48.0/21100.65.48.1 to 100.65.55.254100.65.55.2552,046
40100.65.56.0/21100.65.56.1 to 100.65.63.254100.65.63.2552,046
41100.65.64.0/21100.65.64.1 to 100.65.71.254100.65.71.2552,046
42100.65.72.0/21100.65.72.1 to 100.65.79.254100.65.79.2552,046
43100.65.80.0/21100.65.80.1 to 100.65.87.254100.65.87.2552,046
44100.65.88.0/21100.65.88.1 to 100.65.95.254100.65.95.2552,046
45100.65.96.0/21100.65.96.1 to 100.65.103.254100.65.103.2552,046
46100.65.104.0/21100.65.104.1 to 100.65.111.254100.65.111.2552,046
47100.65.112.0/21100.65.112.1 to 100.65.119.254100.65.119.2552,046
48100.65.120.0/21100.65.120.1 to 100.65.127.254100.65.127.2552,046
49100.65.128.0/21100.65.128.1 to 100.65.135.254100.65.135.2552,046
50100.65.136.0/21100.65.136.1 to 100.65.143.254100.65.143.2552,046
51100.65.144.0/21100.65.144.1 to 100.65.151.254100.65.151.2552,046
52100.65.152.0/21100.65.152.1 to 100.65.159.254100.65.159.2552,046
53100.65.160.0/21100.65.160.1 to 100.65.167.254100.65.167.2552,046
54100.65.168.0/21100.65.168.1 to 100.65.175.254100.65.175.2552,046
55100.65.176.0/21100.65.176.1 to 100.65.183.254100.65.183.2552,046
56100.65.184.0/21100.65.184.1 to 100.65.191.254100.65.191.2552,046
57100.65.192.0/21100.65.192.1 to 100.65.199.254100.65.199.2552,046
58100.65.200.0/21100.65.200.1 to 100.65.207.254100.65.207.2552,046
59100.65.208.0/21100.65.208.1 to 100.65.215.254100.65.215.2552,046
60100.65.216.0/21100.65.216.1 to 100.65.223.254100.65.223.2552,046
61100.65.224.0/21100.65.224.1 to 100.65.231.254100.65.231.2552,046
62100.65.232.0/21100.65.232.1 to 100.65.239.254100.65.239.2552,046
63100.65.240.0/21100.65.240.1 to 100.65.247.254100.65.247.2552,046
64100.65.248.0/21100.65.248.1 to 100.65.255.254100.65.255.2552,046
65100.66.0.0/21100.66.0.1 to 100.66.7.254100.66.7.2552,046
66100.66.8.0/21100.66.8.1 to 100.66.15.254100.66.15.2552,046
67100.66.16.0/21100.66.16.1 to 100.66.23.254100.66.23.2552,046
68100.66.24.0/21100.66.24.1 to 100.66.31.254100.66.31.2552,046
69100.66.32.0/21100.66.32.1 to 100.66.39.254100.66.39.2552,046
70100.66.40.0/21100.66.40.1 to 100.66.47.254100.66.47.2552,046
71100.66.48.0/21100.66.48.1 to 100.66.55.254100.66.55.2552,046
72100.66.56.0/21100.66.56.1 to 100.66.63.254100.66.63.2552,046
73100.66.64.0/21100.66.64.1 to 100.66.71.254100.66.71.2552,046
74100.66.72.0/21100.66.72.1 to 100.66.79.254100.66.79.2552,046
75100.66.80.0/21100.66.80.1 to 100.66.87.254100.66.87.2552,046
76100.66.88.0/21100.66.88.1 to 100.66.95.254100.66.95.2552,046
77100.66.96.0/21100.66.96.1 to 100.66.103.254100.66.103.2552,046
78100.66.104.0/21100.66.104.1 to 100.66.111.254100.66.111.2552,046
79100.66.112.0/21100.66.112.1 to 100.66.119.254100.66.119.2552,046
80100.66.120.0/21100.66.120.1 to 100.66.127.254100.66.127.2552,046
81100.66.128.0/21100.66.128.1 to 100.66.135.254100.66.135.2552,046
82100.66.136.0/21100.66.136.1 to 100.66.143.254100.66.143.2552,046
83100.66.144.0/21100.66.144.1 to 100.66.151.254100.66.151.2552,046
84100.66.152.0/21100.66.152.1 to 100.66.159.254100.66.159.2552,046
85100.66.160.0/21100.66.160.1 to 100.66.167.254100.66.167.2552,046
86100.66.168.0/21100.66.168.1 to 100.66.175.254100.66.175.2552,046
87100.66.176.0/21100.66.176.1 to 100.66.183.254100.66.183.2552,046
88100.66.184.0/21100.66.184.1 to 100.66.191.254100.66.191.2552,046
89100.66.192.0/21100.66.192.1 to 100.66.199.254100.66.199.2552,046
90100.66.200.0/21100.66.200.1 to 100.66.207.254100.66.207.2552,046
91100.66.208.0/21100.66.208.1 to 100.66.215.254100.66.215.2552,046
92100.66.216.0/21100.66.216.1 to 100.66.223.254100.66.223.2552,046
93100.66.224.0/21100.66.224.1 to 100.66.231.254100.66.231.2552,046
94100.66.232.0/21100.66.232.1 to 100.66.239.254100.66.239.2552,046
95100.66.240.0/21100.66.240.1 to 100.66.247.254100.66.247.2552,046
96100.66.248.0/21100.66.248.1 to 100.66.255.254100.66.255.2552,046
97100.67.0.0/21100.67.0.1 to 100.67.7.254100.67.7.2552,046
98100.67.8.0/21100.67.8.1 to 100.67.15.254100.67.15.2552,046
99100.67.16.0/21100.67.16.1 to 100.67.23.254100.67.23.2552,046
100100.67.24.0/21100.67.24.1 to 100.67.31.254100.67.31.2552,046
101100.67.32.0/21100.67.32.1 to 100.67.39.254100.67.39.2552,046
102100.67.40.0/21100.67.40.1 to 100.67.47.254100.67.47.2552,046
103100.67.48.0/21100.67.48.1 to 100.67.55.254100.67.55.2552,046
104100.67.56.0/21100.67.56.1 to 100.67.63.254100.67.63.2552,046
105100.67.64.0/21100.67.64.1 to 100.67.71.254100.67.71.2552,046
106100.67.72.0/21100.67.72.1 to 100.67.79.254100.67.79.2552,046
107100.67.80.0/21100.67.80.1 to 100.67.87.254100.67.87.2552,046
108100.67.88.0/21100.67.88.1 to 100.67.95.254100.67.95.2552,046
109100.67.96.0/21100.67.96.1 to 100.67.103.254100.67.103.2552,046
110100.67.104.0/21100.67.104.1 to 100.67.111.254100.67.111.2552,046
111100.67.112.0/21100.67.112.1 to 100.67.119.254100.67.119.2552,046
112100.67.120.0/21100.67.120.1 to 100.67.127.254100.67.127.2552,046
113100.67.128.0/21100.67.128.1 to 100.67.135.254100.67.135.2552,046
114100.67.136.0/21100.67.136.1 to 100.67.143.254100.67.143.2552,046
115100.67.144.0/21100.67.144.1 to 100.67.151.254100.67.151.2552,046
116100.67.152.0/21100.67.152.1 to 100.67.159.254100.67.159.2552,046
117100.67.160.0/21100.67.160.1 to 100.67.167.254100.67.167.2552,046
118100.67.168.0/21100.67.168.1 to 100.67.175.254100.67.175.2552,046
119100.67.176.0/21100.67.176.1 to 100.67.183.254100.67.183.2552,046
120100.67.184.0/21100.67.184.1 to 100.67.191.254100.67.191.2552,046
121100.67.192.0/21100.67.192.1 to 100.67.199.254100.67.199.2552,046
122100.67.200.0/21100.67.200.1 to 100.67.207.254100.67.207.2552,046
123100.67.208.0/21100.67.208.1 to 100.67.215.254100.67.215.2552,046
124100.67.216.0/21100.67.216.1 to 100.67.223.254100.67.223.2552,046
125100.67.224.0/21100.67.224.1 to 100.67.231.254100.67.231.2552,046
126100.67.232.0/21100.67.232.1 to 100.67.239.254100.67.239.2552,046
127100.67.240.0/21100.67.240.1 to 100.67.247.254100.67.247.2552,046
128100.67.248.0/21100.67.248.1 to 100.67.255.254100.67.255.2552,046
129100.68.0.0/21100.68.0.1 to 100.68.7.254100.68.7.2552,046
130100.68.8.0/21100.68.8.1 to 100.68.15.254100.68.15.2552,046
131100.68.16.0/21100.68.16.1 to 100.68.23.254100.68.23.2552,046
132100.68.24.0/21100.68.24.1 to 100.68.31.254100.68.31.2552,046
133100.68.32.0/21100.68.32.1 to 100.68.39.254100.68.39.2552,046
134100.68.40.0/21100.68.40.1 to 100.68.47.254100.68.47.2552,046
135100.68.48.0/21100.68.48.1 to 100.68.55.254100.68.55.2552,046
136100.68.56.0/21100.68.56.1 to 100.68.63.254100.68.63.2552,046
137100.68.64.0/21100.68.64.1 to 100.68.71.254100.68.71.2552,046
138100.68.72.0/21100.68.72.1 to 100.68.79.254100.68.79.2552,046
139100.68.80.0/21100.68.80.1 to 100.68.87.254100.68.87.2552,046
140100.68.88.0/21100.68.88.1 to 100.68.95.254100.68.95.2552,046
141100.68.96.0/21100.68.96.1 to 100.68.103.254100.68.103.2552,046
142100.68.104.0/21100.68.104.1 to 100.68.111.254100.68.111.2552,046
143100.68.112.0/21100.68.112.1 to 100.68.119.254100.68.119.2552,046
144100.68.120.0/21100.68.120.1 to 100.68.127.254100.68.127.2552,046
145100.68.128.0/21100.68.128.1 to 100.68.135.254100.68.135.2552,046
146100.68.136.0/21100.68.136.1 to 100.68.143.254100.68.143.2552,046
147100.68.144.0/21100.68.144.1 to 100.68.151.254100.68.151.2552,046
148100.68.152.0/21100.68.152.1 to 100.68.159.254100.68.159.2552,046
149100.68.160.0/21100.68.160.1 to 100.68.167.254100.68.167.2552,046
150100.68.168.0/21100.68.168.1 to 100.68.175.254100.68.175.2552,046
151100.68.176.0/21100.68.176.1 to 100.68.183.254100.68.183.2552,046
152100.68.184.0/21100.68.184.1 to 100.68.191.254100.68.191.2552,046
153100.68.192.0/21100.68.192.1 to 100.68.199.254100.68.199.2552,046
154100.68.200.0/21100.68.200.1 to 100.68.207.254100.68.207.2552,046
155100.68.208.0/21100.68.208.1 to 100.68.215.254100.68.215.2552,046
156100.68.216.0/21100.68.216.1 to 100.68.223.254100.68.223.2552,046
157100.68.224.0/21100.68.224.1 to 100.68.231.254100.68.231.2552,046
158100.68.232.0/21100.68.232.1 to 100.68.239.254100.68.239.2552,046
159100.68.240.0/21100.68.240.1 to 100.68.247.254100.68.247.2552,046
160100.68.248.0/21100.68.248.1 to 100.68.255.254100.68.255.2552,046
161100.69.0.0/21100.69.0.1 to 100.69.7.254100.69.7.2552,046
162100.69.8.0/21100.69.8.1 to 100.69.15.254100.69.15.2552,046
163100.69.16.0/21100.69.16.1 to 100.69.23.254100.69.23.2552,046
164100.69.24.0/21100.69.24.1 to 100.69.31.254100.69.31.2552,046
165100.69.32.0/21100.69.32.1 to 100.69.39.254100.69.39.2552,046
166100.69.40.0/21100.69.40.1 to 100.69.47.254100.69.47.2552,046
167100.69.48.0/21100.69.48.1 to 100.69.55.254100.69.55.2552,046
168100.69.56.0/21100.69.56.1 to 100.69.63.254100.69.63.2552,046
169100.69.64.0/21100.69.64.1 to 100.69.71.254100.69.71.2552,046
170100.69.72.0/21100.69.72.1 to 100.69.79.254100.69.79.2552,046
171100.69.80.0/21100.69.80.1 to 100.69.87.254100.69.87.2552,046
172100.69.88.0/21100.69.88.1 to 100.69.95.254100.69.95.2552,046
173100.69.96.0/21100.69.96.1 to 100.69.103.254100.69.103.2552,046
174100.69.104.0/21100.69.104.1 to 100.69.111.254100.69.111.2552,046
175100.69.112.0/21100.69.112.1 to 100.69.119.254100.69.119.2552,046
176100.69.120.0/21100.69.120.1 to 100.69.127.254100.69.127.2552,046
177100.69.128.0/21100.69.128.1 to 100.69.135.254100.69.135.2552,046
178100.69.136.0/21100.69.136.1 to 100.69.143.254100.69.143.2552,046
179100.69.144.0/21100.69.144.1 to 100.69.151.254100.69.151.2552,046
180100.69.152.0/21100.69.152.1 to 100.69.159.254100.69.159.2552,046
181100.69.160.0/21100.69.160.1 to 100.69.167.254100.69.167.2552,046
182100.69.168.0/21100.69.168.1 to 100.69.175.254100.69.175.2552,046
183100.69.176.0/21100.69.176.1 to 100.69.183.254100.69.183.2552,046
184100.69.184.0/21100.69.184.1 to 100.69.191.254100.69.191.2552,046
185100.69.192.0/21100.69.192.1 to 100.69.199.254100.69.199.2552,046
186100.69.200.0/21100.69.200.1 to 100.69.207.254100.69.207.2552,046
187100.69.208.0/21100.69.208.1 to 100.69.215.254100.69.215.2552,046
188100.69.216.0/21100.69.216.1 to 100.69.223.254100.69.223.2552,046
189100.69.224.0/21100.69.224.1 to 100.69.231.254100.69.231.2552,046
190100.69.232.0/21100.69.232.1 to 100.69.239.254100.69.239.2552,046
191100.69.240.0/21100.69.240.1 to 100.69.247.254100.69.247.2552,046
192100.69.248.0/21100.69.248.1 to 100.69.255.254100.69.255.2552,046
193100.70.0.0/21100.70.0.1 to 100.70.7.254100.70.7.2552,046
194100.70.8.0/21100.70.8.1 to 100.70.15.254100.70.15.2552,046
195100.70.16.0/21100.70.16.1 to 100.70.23.254100.70.23.2552,046
196100.70.24.0/21100.70.24.1 to 100.70.31.254100.70.31.2552,046
197100.70.32.0/21100.70.32.1 to 100.70.39.254100.70.39.2552,046
198100.70.40.0/21100.70.40.1 to 100.70.47.254100.70.47.2552,046
199100.70.48.0/21100.70.48.1 to 100.70.55.254100.70.55.2552,046
200100.70.56.0/21100.70.56.1 to 100.70.63.254100.70.63.2552,046
201100.70.64.0/21100.70.64.1 to 100.70.71.254100.70.71.2552,046
202100.70.72.0/21100.70.72.1 to 100.70.79.254100.70.79.2552,046
203100.70.80.0/21100.70.80.1 to 100.70.87.254100.70.87.2552,046
204100.70.88.0/21100.70.88.1 to 100.70.95.254100.70.95.2552,046
205100.70.96.0/21100.70.96.1 to 100.70.103.254100.70.103.2552,046
206100.70.104.0/21100.70.104.1 to 100.70.111.254100.70.111.2552,046
207100.70.112.0/21100.70.112.1 to 100.70.119.254100.70.119.2552,046
208100.70.120.0/21100.70.120.1 to 100.70.127.254100.70.127.2552,046
209100.70.128.0/21100.70.128.1 to 100.70.135.254100.70.135.2552,046
210100.70.136.0/21100.70.136.1 to 100.70.143.254100.70.143.2552,046
211100.70.144.0/21100.70.144.1 to 100.70.151.254100.70.151.2552,046
212100.70.152.0/21100.70.152.1 to 100.70.159.254100.70.159.2552,046
213100.70.160.0/21100.70.160.1 to 100.70.167.254100.70.167.2552,046
214100.70.168.0/21100.70.168.1 to 100.70.175.254100.70.175.2552,046
215100.70.176.0/21100.70.176.1 to 100.70.183.254100.70.183.2552,046
216100.70.184.0/21100.70.184.1 to 100.70.191.254100.70.191.2552,046
217100.70.192.0/21100.70.192.1 to 100.70.199.254100.70.199.2552,046
218100.70.200.0/21100.70.200.1 to 100.70.207.254100.70.207.2552,046
219100.70.208.0/21100.70.208.1 to 100.70.215.254100.70.215.2552,046
220100.70.216.0/21100.70.216.1 to 100.70.223.254100.70.223.2552,046
221100.70.224.0/21100.70.224.1 to 100.70.231.254100.70.231.2552,046
222100.70.232.0/21100.70.232.1 to 100.70.239.254100.70.239.2552,046
223100.70.240.0/21100.70.240.1 to 100.70.247.254100.70.247.2552,046
224100.70.248.0/21100.70.248.1 to 100.70.255.254100.70.255.2552,046
225100.71.0.0/21100.71.0.1 to 100.71.7.254100.71.7.2552,046
226100.71.8.0/21100.71.8.1 to 100.71.15.254100.71.15.2552,046
227100.71.16.0/21100.71.16.1 to 100.71.23.254100.71.23.2552,046
228100.71.24.0/21100.71.24.1 to 100.71.31.254100.71.31.2552,046
229100.71.32.0/21100.71.32.1 to 100.71.39.254100.71.39.2552,046
230100.71.40.0/21100.71.40.1 to 100.71.47.254100.71.47.2552,046
231100.71.48.0/21100.71.48.1 to 100.71.55.254100.71.55.2552,046
232100.71.56.0/21100.71.56.1 to 100.71.63.254100.71.63.2552,046
233100.71.64.0/21100.71.64.1 to 100.71.71.254100.71.71.2552,046
234100.71.72.0/21100.71.72.1 to 100.71.79.254100.71.79.2552,046
235100.71.80.0/21100.71.80.1 to 100.71.87.254100.71.87.2552,046
236100.71.88.0/21100.71.88.1 to 100.71.95.254100.71.95.2552,046
237100.71.96.0/21100.71.96.1 to 100.71.103.254100.71.103.2552,046
238100.71.104.0/21100.71.104.1 to 100.71.111.254100.71.111.2552,046
239100.71.112.0/21100.71.112.1 to 100.71.119.254100.71.119.2552,046
240100.71.120.0/21100.71.120.1 to 100.71.127.254100.71.127.2552,046
241100.71.128.0/21100.71.128.1 to 100.71.135.254100.71.135.2552,046
242100.71.136.0/21100.71.136.1 to 100.71.143.254100.71.143.2552,046
243100.71.144.0/21100.71.144.1 to 100.71.151.254100.71.151.2552,046
244100.71.152.0/21100.71.152.1 to 100.71.159.254100.71.159.2552,046
245100.71.160.0/21100.71.160.1 to 100.71.167.254100.71.167.2552,046
246100.71.168.0/21100.71.168.1 to 100.71.175.254100.71.175.2552,046
247100.71.176.0/21100.71.176.1 to 100.71.183.254100.71.183.2552,046
248100.71.184.0/21100.71.184.1 to 100.71.191.254100.71.191.2552,046
249100.71.192.0/21100.71.192.1 to 100.71.199.254100.71.199.2552,046
250100.71.200.0/21100.71.200.1 to 100.71.207.254100.71.207.2552,046
251100.71.208.0/21100.71.208.1 to 100.71.215.254100.71.215.2552,046
252100.71.216.0/21100.71.216.1 to 100.71.223.254100.71.223.2552,046
253100.71.224.0/21100.71.224.1 to 100.71.231.254100.71.231.2552,046
254100.71.232.0/21100.71.232.1 to 100.71.239.254100.71.239.2552,046
255100.71.240.0/21100.71.240.1 to 100.71.247.254100.71.247.2552,046
256100.71.248.0/21100.71.248.1 to 100.71.255.254100.71.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses